%define name gnome-vfs-obexftp

%define req_libbonobo_version	2.3.1
%define req_vfs_version 	2.15.3

Summary:	GNOME virtual file-system obexftp
Name:		%name
Version: 0.2
Release: %mkrel 1
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gawk
BuildRequires:  perl-XML-Parser
BuildRequires:	gnome-vfs2-devel >= %req_vfs_version
BuildRequires:	libbonobo2_x-devel >= %{req_libbonobo_version}
BuildRequires:  obexftp-devel
BuildRequires:  libopenobex-devel
BuildRequires:  bluez-devel
BuildRequires:  expat-devel

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.

This contains the obexftp split from the main gnome-vfs2 package.


%prep
%setup -q

%build
%configure2_5x --enable-nautilus-workaround --with-compile-warnings=no

make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove unpackaged file
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gnome-vfs-2.0/modules/obex-module.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so


%changelog
* Fri Jan 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2-1mdv2007.0
+ Revision: 110792

  + Jérôme Soyer <saispo@mandriva.org>
    - Import gnome-vfs-obexftp

